Subject: Re: GSoC draft proposal: Line-level history browser

From: A Large Angry SCM <[email-masked]>
Date: Sat, 20 Mar 2010 17:58:20 -0400

Alex Riesen wrote:
> On Sat, Mar 20, 2010 at 10:18, Bo Yang <[email-masked]> wrote:
>> <line range>
>> Its format should be <start pos>..<end pos> or just a <line number>.
> 
> You might want to reconsider the line range syntax. Exactly the same syntax
> is already used to specify a commit range, so reusing it may lead to confusion.

I, actually, think the proposed line range syntax works because it uses 
the same _range_ notation. The issue is how to differentiate the _line_ 
range(s) from the _commit_ range(s); and, yes, I would like multiple 
ranges of each type as well as multiple files.